import sys, fileinput, getopt

prefix=[x.strip().split(",") for x in file("all.csv.plain")]
prefix=filter(lambda x: x[1]!='""', prefix)
prefix=[(x[1][1:-1], x[0]) for x in prefix]

def pp(u):
    for url, p in prefix:
        if u.startswith(url):
            return p+":"+u[len(url):]
    return u

if __name__=='__main__':
    args, files=getopt.getopt(sys.argv[1:],"d:f:")
    args=dict(args)

    delim=None
    if "-d" in args: 
        delim=args["-d"]

    f=0
    if "-f" in args: 
        f=int(args["-f"])

    d=" "
    if delim:
        d=delim

    for l in fileinput.input(files): 
    
        l=l.split(delim)
    
        l[f]=pp(l[f])

        print d.join(l)
