
function startup(evt){
    
    $$('.label').each(function (e) { 
        e.setAttribute("onmouseover","showconn(evt)")
        e.setAttribute("onmouseout","hideconn(evt)")
    });

    $$('.circle').each(function (e) { 
        e.setAttribute("onmouseover","showconn(evt)")
        e.setAttribute("onmouseout","hideconn(evt)")
    });

    $$('.edge').each(function (e) { 
        e.setAttribute("onmouseover","showcount(evt)")
        e.setAttribute("onmouseout","hidecount(evt)")
    });


    $$('.predchooser').each(function (e) { 
        e.setAttribute("onclick","predtoggle(evt)")
    });

}

function hideshowpred(e) { 
    var hide=true;

    $w(e.className.baseVal).each(function (c) { 
        if (!c.startsWith("pred")) return;
        n=c.substring(4);
        if ($('choose'+n).getAttribute('font-weight')=="bold") {
            hide=false;
        }
    } );
    if (hide) Element.hide(e); else Element.show(e);
}

function predtoggle(evt) {
    var e=evt.element(); 
    var n=e.id.substring(6);
    if (e.getAttribute("font-weight")=="bold") { 
        e.setAttribute("font-weight","normal");
        $$('.pred'+n).each(hideshowpred);        
    } else { 
        e.setAttribute("font-weight","bold");
        $$('.pred'+n).each(Element.show);
    }
}

function textbold(t,color) {
    // prototype's each passes index as second param
    if (color==null || Object.isNumber(color)) color="blue";
    if (t==null) return;
    t.setAttribute("fill", color);  
    t.setAttribute("font-weight", "bold");      
}

function textunbold(t) {
    if (t==null) return;
    t.setAttribute("fill", "black");  
    t.setAttribute("font-weight", "normal"); 
}

function showconn(evt) {
    var e=evt.element();
    var n=e.id.substring(4);
    
    textbold($("text"+n), "red");    

    $$(".node"+n).each(function (e) {
       if (!Element.visible(e)) return;
       var w=e.getAttribute("stroke-width");
       
       e.setAttribute("stroke-width", Math.min(w*2,10));
       e.setAttribute("stroke", "blue");

       $w(e.className.baseVal).each(function (cn) { 
          if (!cn.startsWith("node")) return ; 
          var nn=cn.substring(4);
          if (nn!=n) { 
              //alert(".text"+nn);
              textbold($("text"+nn));
          } 
       } );

    }); 
}

function hideconn(evt) {
    var e=evt.element();
    var n=e.id.substring(4);
    
    textunbold($$('#text'+n)[0]);

    $$(".node"+n).each(function (e) {
       if (e.getAttribute("display")=="none") return;
       e.setAttribute("stroke-width", e.getAttribute("orig-stroke-width"));
       e.setAttribute("stroke", "grey");

       $w(e.className.baseVal).each(function (cn) { 
          var nn=cn.substring(4);
          if (nn!=n) { 
              //alert(".text"+nn);
              $$("#text"+nn).each(textunbold);
          } 
       } );

    }); 

}

function showcount(evt) {
    var e=evt.element();
    e.setAttribute("stroke","orange");    
    var c=$("count");
    Element.show(c);

    var sum=0;
    $w(e.getAttribute("count")).each(function (x) { 
      x=x.split(":"); 
      i='choose'+x[0];
      if ($(i).getAttribute('font-weight')=="bold") sum+=parseInt(x[1]);
    }); 

    var x=evt.pointerX()+"px";
    c.setAttribute("x",x);
    c.setAttribute("y",30+evt.pointerY()+"px");

    var n=new Array()
    $w(e.className.baseVal).each(function (cl) {
      if (cl.substr(0,4)!="node") return; 
      n.push($('text'+cl.substring(4)).firstChild.textContent);
    });


    $('count1').firstChild.textContent=n[0];
    $('count2').firstChild.textContent=n[1];
    $('count3').firstChild.textContent=thousandsep(sum)+" triples";

    // The text model of SVG is a bit lacking.
    $$('.countline').each(function(l){l.setAttribute("x",x)});

    
}

function hidecount(evt) {
    var e=evt.element();
    e.setAttribute("stroke","grey");    
    var c=$("count");
    Element.hide(c);
}

function thousandsep(i) { 
    i=String(i);
    res="";
    for (j=i.length; j>0; j--) {
        res=i[j-1]+res;
        if (j!=1 && (i.length-j-2)%3 == 0) res=","+res;
    }
    return res;
}

document.observe("dom:loaded", startup);
